import 'package:flutter/material.dart';
import 'package:gap/gap.dart';
import 'package:krow/core/presentation/styles/kw_box_decorations.dart';
import 'package:krow/core/presentation/styles/kw_text_styles.dart';
import 'package:krow/core/presentation/styles/theme.dart';
import 'package:krow/features/earning/presentation/widget/earnings_charts_widget.dart';

class EarningsCharts extends StatefulWidget {
  const EarningsCharts({super.key});

  @override
  State<EarningsCharts> createState() => _EarningsChartsState();
}

class _EarningsChartsState extends State<EarningsCharts> {
  @override
  Widget build(BuildContext context) {
    return Container(
        padding: const EdgeInsets.all(12),
        decoration: KwBoxDecorations.primaryDark
            .copyWith(color: AppColors.darkBgStroke),
        height: 218,
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text(
              '12.01 - 12.31.2024 period:',
              style: AppTextStyles.captionReg
                  .copyWith(color: AppColors.bgColorLight),
            ),
            const Gap(8),
            Text('\$1490',style: AppTextStyles.headingH3.copyWith(color: AppColors.primaryYellow),),
            const SizedBox(
              height: 150,
              child: EarningsChartsWidget(),
            ),
          ],
        ));
  }
}
